{{define "api-list-get"}}
GET/list/{id}

### Description

Returns information about a file list and the files in it.

### Parameters

Param | Required | Location | Description
id | true | URL | ID of the list

### Returns

The API will return some basic information about every file. Every file also has a "detail_href" field which contains a URL to the info API of the file. Follow that link to get more information about the file like size, checksum, mime type, etc. The address is relative to the API URL and should be appended to the end.

    HTTP 200: OK
    {
    	"success": true,
    	"id": "L8bhwx",
    	"title": "Rust in Peace",
    	"date_created": 1513033315,
    	"files": [
    		{
    			"detail_href": "/file/_SqVWi/info",
    			"id": "_SqVWi",
    			"file_name": "01 Holy Wars... The Punishment Due.mp3",
    			"description": "",
    			"date_created": 1513033304,
    			"date_last_view": 1513033304,
    			"list_description": ""
    		},
    		{
    			"detail_href": "/file/RKwgZb/info",
    			"id": "RKwgZb",
    			"file_name": "02 Hangar 18.mp3",
    			"description": "",
    			"date_created": 1513033304,
    			"date_last_view": 1513033304,
    			"list_description": ""
    		},
    		{
    			"detail_href": "/file/DRaL_e/info",
    			"id": "DRaL_e",
    			"file_name": "03 Take No Prisoners.mp3",
    			"description": "",
    			"date_created": 1513033304,
    			"date_last_view": 1513033304,
    			"list_description": ""
    		}
    	]
    }

    HTTP 404: Not Found
    {
    	"success": false,
    	"value": "list_not_found",
    }

{{end}}